> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmprivilegedaccount.md).

# Get-RDMPrivilegedAccount

### Synopsis

Obtenir la connexion représentant « My Privileged Account ».

### Syntaxe

#### \_\_AllParameterSets

```
Get-RDMPrivilegedAccount [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Description

Obtenir la connexion représentant « My Privileged Account ». Toutes les informations pertinentes se trouvent dans la propriété Credentials. Sous Windows, la stratégie DisableMyPrivilegedAccount empêche l'utilisation de cette applet de commande.

### Exemples

#### Exemple 1

```powershell
PS C:\> $privAcc = Get-RDMPrivilegedAccount
```

Stocker le compte privilégié dans la variable $privAcc. Accéder aux valeurs souhaitées dans $privAcc.Credentials.

#### Exemple 2

```powershell
PS C:\> $privAcc = Get-RDMPrivilegedAccount; $privAcc.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $privAcc.Credentials.SecretServerUsername = 'aPassword'; $privAcc.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPrivilegedAccount -Session $privAcc
```

Récupérer le compte privilégié. Modifier le domaine, le mot de passe et le nom d'utilisateur du Secret Server. Enregistrer les modifications. La modification du mot de passe peut être constatée par le changement de valeur du champ SafeSecretServerPassword.

### Paramètres

#### -ForcePromptAnswer

Paramètre à utiliser avec prudence. Il répondra automatiquement aux invites demandant des questions oui/non, oui/non/annuler, ou OK/annuler. En cas d'invites multiples, plusieurs valeurs peuvent être transmises à ce paramètre. Voici les valeurs acceptées :

* Yes : Accepter l'invite. Couvre les valeurs OK et Automatic.
* No : Refuser l'invite oui/non/annuler. « Cancel » est l'option de repli s'il n'existe pas d'option « No ».
* Cancel : Annuler l'invite oui/non/annuler. « No » est l'option de repli s'il n'existe pas d'option « Cancel ».

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'informations, tapez « Get-Help Get-RDMPrivilegedAccount -detailed ». Pour des informations techniques, tapez « Get-Help Get-RDMPrivilegedAccount -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmprivilegedaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
